Table of Contents

Class: UnsupportedMethod | Twisted-0.17.4/twisted/web/server.py
--- | ---

### Raised by a resource when faced with a strange request method.

RFC 2616 (HTTP 1.1) gives us two choices when faced with this situtation: If the type of request is known to us, but not allowed for the requested resource, respond with NOT_ALLOWED. Otherwise, if the request is something we don't know how to deal with in any case, respond with NOT_IMPLEMENTED.

When this exception is raised by a Resource's render method, the server will make the appropriate response.

This exception's first argument MUST be a sequence of the methods the resource does support.

Base Classes |
--- | ---
Exception

Methods |
--- | ---
__init__
| __init__

    __init__ (
            self,
            allowedMethods,
            *args,
            )

Exceptions |
--- | ---
TypeError, s

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0